Money In

Electronic Mandates

 

Hosted web pages that new customers can use to signup with or existing customers can use to add collections to their account.

Admins can create these hosted pages under the 'Get Paid' section. This API provides a list of the Electronic Mandates and generates links to be shared with new/existing customers for new collections.

List

List Electronic Mandates loaded on the platform.

Path

GET /electronic-mandates/list

Response Body

{
  "status": true,
  "results": [{
    "id": "pag_q5lJ554cUsptaXbDDb7sG",
    "view": "https://app.kwik.co.za/electronic-mandate/<unique-id>",
    "title": "Diamond package",
    "description": "Lorem ipsum",
    "page_status": "PUBLISHED",
    "payment_methods_id": "pam_9b_DTCrtPblUgNHodKAxB",
    "payment_type": "emandate_choose_what_to_pay"
  }, ...]
}

Response Parameters

Field
Type
Description
Example
idString(32)Electronic Mandate page idpag_q5lJ554cUsptaXbDDb7sG
viewTextLink for new customer sign upshttps://app.kwik.co.za/electronic-mandate/<unique-id>
titleString(128)Electronic Mandate titleDiamond package
descriptionTextElectronic Mandate descriptionLorem ipsum
page_statusENUM(PUBLISHED,DRAFT,DISABLED,ARCHIVED)PUBLISHED
payment_methods_idString(32)ID of the payment method used with this Electronic Mandatepam_9b_DTCrtPblUgNHodKAxB
payment_typeString(64)Type of payment the Electronic Mandate represents. (emandate_products_and_collections, emandate_choose_what_to_pay)emandate_choose_what_to_pay

Generate a unique, shareable mandate link. You can optionally supply a customer ID, bank account ID, and/or amount; the returned link opens a mandate prefilled with whichever of those you pass.

Path

POST /electronic-mandates/link

Request Body

{
  "records": [{
    "page_id": "pag_q5lJ554cUsptaXbDDb7sG",
    "customer_id": "cus_q0lJckGcUQptaXODDb7sG",
    "bank_account_id": "ban_xrf4nxBPH5bwjXIrl6Le5",
    "amount": 300.00
  }]
}

Request Parameters

Field
RequiredType
Description
Example
page_idYString(32)Electronic Mandate Page ID to generate a link forpag_q5lJ554cUsptaXbDDb7sG
customer_idNString(32)Existing Customer IDcus_q0lJckGcUQptaXODDb7sG
bank_account_idNString(32)Existing Bank Account IDban_xrf4nxBPH5bwjXIrl6Le5
amountNDecimalUsed with 'own amount' pages (pages where customers are allowed to manually type any amount in). It will preset the amount on the page and disable the input.300.00

Response Body

{
  "status": true,
  "results": [{
    "page_id": "pag_q5lJ554cUsptaXbDDb7sG",
    "link": "https://app.kwik.co.za/electronic-mandate/<unique-id>"
  }, ...]
}

Response Parameters

Field
Type
Description
Example
page_idString(32)Page related to the linkpag_q5lJ554cUsptaXbDDb7sG
linkTextLink to be shared with the customerhttps://app.kwik.co.za/electronic-mandate/<unique-id>